﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8.1
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX

	Private AccDB As SQL
	Private accDBName As String
	Private AccDBPath As String
End Sub

Public Sub InitDB As Boolean
	Dim Result As Boolean = True
	
	accDBName = "Test.mdb"
	AccDBPath = File.Combine(File.DirApp, accDBName)

	If AccDB.IsInitialized Then
		AccDB.Close
	End If
	
	If Not(File.Exists(File.DirApp, accDBName)) Then
		File.Copy(File.DirAssets, accDBName, File.DirApp, accDBName)
	End If
	
	Try
		AccDB.Initialize("net.ucanaccess.jdbc.UcanaccessDriver", "jdbc:ucanaccess://" & AccDBPath)
	Catch
		Log(LastException)
		Result = False
	End Try

	If Result Then
		Try
			If Not(File.Exists(File.DirApp, accDBName)) Then
				File.Copy(File.DirAssets, accDBName, File.DirApp, accDBName)
			End If
			AccDB.InitializeSQLite(File.DirApp, accDBName, False)
		Catch
			Log(LastException)
			Result = False
		End Try
	End If

	Return Result
End Sub

Public Sub Test(SomeDate As String)
	Dim Query As String = $"SELECT * FROM Table1 WHERE OneDate = #${SomeDate}#"$
	Log(Query)
	AccDB.ExecQuery(Query)
	Dim DBResultSet As ResultSet
	DBResultSet = AccDB.ExecQuery(Query)
	Dim RowCount As Int
	Do While DBResultSet.NextRow
		RowCount = RowCount + 1
	Loop
	Log("Rows: " & RowCount)
End Sub
